import { CardListViewConfig } from '@dvn/core/models/card-list-view-config';
import { TableConfig } from '@dvn/core/models/table-config';
export class PairCardListViewConfig extends CardListViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(PairCardListViewConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    return model;
  }
}
